Bug 290694 - Folder View appearance is not refreshed when applying a desktop theme
Summary: Folder View appearance is not refreshed when applying a desktop theme
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: widget-folderview (show other bugs)
Version: unspecified
Platform: Fedora RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-05 14:00 UTC by Steven Franzen
Modified: 2012-02-09 18:19 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.8.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Steven Franzen 2012-01-05 14:00:06 UTC
Version:           unspecified (using Devel) 
OS:                Linux

KDE 4.7.95:
Upon changing the whole desktop theme or individual theme items applying to folder views, the appearance of active folder view instances is not automatically updated to the new settings. The incorrect appearance remains, even after restarting the session, until you resize the folder view or click inside it.

Reproducible: Always

Steps to Reproduce:
1. Have a folder view on your desktop.
2. Apply a new desktop theme, or modify any of the theme items related to folder views (translucent background, widget background, color scheme...)

Actual Results:  
The folder view's appearance is not updated to the new settings.

Expected Results:  
All theme elements should be updated immediately.

Widget style: Oxygen
Comment 1 Ignat Semenov 2012-02-03 11:34:23 UTC
This is most probably related to a fixed issue with the FolderView not applying changes if it's acting as a containment, which appeared following some configuration-related code changes. That issue has been fixed by Aaron Seigo some time ago. Anyway, the problem described in the bug reports does not appear in 4.9 master, so I'm closing this as worksforme.
Comment 2 Ignat Semenov 2012-02-03 14:11:07 UTC
Unfortunately, I have to reopen. I apologise for the noise. Didn't test this correctly. Fix underway.
Comment 3 Ignat Semenov 2012-02-03 14:31:44 UTC
Fixed by Marco Martin with commit 183506398d4c8e80d837d93eb0894b97f4aad2bc.
Comment 4 Ignat Semenov 2012-02-09 18:07:48 UTC
Git commit 5c82f31cba98c961476623397ed482f02aa80b52 by Ignat Semenov.
Committed on 09/02/2012 at 18:57.
Pushed by isemenov into branch 'master'.

account for the possible margin size change on plasma theme change in IconView and ListView
move m_itemFrame to AbstractItemView; code duplication--
FIXED-IN:4.8

M  +10   -0    plasma/applets/folderview/abstractitemview.cpp
M  +3    -0    plasma/applets/folderview/abstractitemview.h
M  +10   -6    plasma/applets/folderview/iconview.cpp
M  +1    -1    plasma/applets/folderview/iconview.h
M  +6    -6    plasma/applets/folderview/listview.cpp
M  +3    -1    plasma/applets/folderview/listview.h

http://commits.kde.org/kde-baseapps/5c82f31cba98c961476623397ed482f02aa80b52
Comment 5 Ignat Semenov 2012-02-09 18:09:01 UTC
Git commit 74f6cdfa23dd0e3f2198c80c01d4ce51eb47dbd5 by Ignat Semenov.
Committed on 09/02/2012 at 18:57.
Pushed by isemenov into branch 'KDE/4.8'.

account for the possible margin size change on plasma theme change in IconView and ListView
move m_itemFrame to AbstractItemView; code duplication--
FIXED-IN:4.8

M  +10   -0    plasma/applets/folderview/abstractitemview.cpp
M  +3    -0    plasma/applets/folderview/abstractitemview.h
M  +10   -6    plasma/applets/folderview/iconview.cpp
M  +1    -1    plasma/applets/folderview/iconview.h
M  +6    -6    plasma/applets/folderview/listview.cpp
M  +3    -1    plasma/applets/folderview/listview.h

http://commits.kde.org/kde-baseapps/74f6cdfa23dd0e3f2198c80c01d4ce51eb47dbd5